commit:     9e24b09d3558ecb5e892d3c2a08a3d26f85fb174
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Mon Jan  4 14:52:55 2021 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Mon Jan  4 14:53:02 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9e24b09d

app-arch/dump: Bump to version 0.4.47

Package-Manager: Portage-3.0.12, Repoman-3.0.2
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 app-arch/dump/Manifest           |  1 +
 app-arch/dump/dump-0.4.47.ebuild | 90 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 91 insertions(+)

diff --git a/app-arch/dump/Manifest b/app-arch/dump/Manifest
index 02c875b0def..be437558471 100644
--- a/app-arch/dump/Manifest
+++ b/app-arch/dump/Manifest
@@ -1 +1,2 @@
 DIST dump-0.4b46.tar.gz 578200 BLAKE2B 
91102bdba06f3affdf4ebd9de525145c0a4cc1b9fb4c6ff222c411c118b3b7835f3aad666d530019d8b9ee46590e4a283a143d188d6800218100cecf67877274
 SHA512 
a30e72ab6c4d18497dffe3d25634c2e55ca90861d1cd8a6c0fd44709e735a217dbf4cdabb8c80e02053def94d9a22cf1d685ee0d0f24f5b748ee5f0de19cf17d
+DIST dump-0.4b47.tar.gz 583380 BLAKE2B 
a5a6c507fc67451e6ce5117b28b9e97e45783059358c357e1f6d4b268437c8340f13e0d77e97631112824eca8205c49d206a8a7904bc3e00b1f0d5abb31418f7
 SHA512 
e9c567fe2ffad196b9657c551d83f7607758f3704cad6cb407514bbe2bc765c16968997dc3a5bc92b9eb5900fa5bd6e7cebc92c81afff53339fca92891a5259d

diff --git a/app-arch/dump/dump-0.4.47.ebuild b/app-arch/dump/dump-0.4.47.ebuild
new file mode 100644
index 00000000000..48981e19d4d
--- /dev/null
+++ b/app-arch/dump/dump-0.4.47.ebuild
@@ -0,0 +1,90 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+MY_P="${PN}-$(ver_rs 2 b)"
+S=${WORKDIR}/${MY_P}
+DESCRIPTION="Dump/restore ext2fs backup utilities"
+HOMEPAGE="http://dump.sourceforge.net/";
+SRC_URI="mirror://sourceforge/dump/${MY_P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+# We keep uuid USE flag default dsiabled for this version. Don't forget
+# to default enable it for later versions as this is the upstream default.
+IUSE="bzip2 debug ermt libressl lzo readline selinux sqlite ssl static test 
uuid zlib"
+RESTRICT="!test? ( test )"
+REQUIRED_USE="
+       ermt? ( ssl )
+       ssl? ( zlib )
+       test? ( sqlite? ( uuid ) )
+"
+
+RDEPEND=">=sys-fs/e2fsprogs-1.27:=
+       >=sys-libs/e2fsprogs-libs-1.27:=
+       sys-apps/util-linux
+       bzip2? ( >=app-arch/bzip2-1.0.2:= )
+       zlib? ( >=sys-libs/zlib-1.1.4:= )
+       lzo? ( dev-libs/lzo:2= )
+       sqlite? ( dev-db/sqlite:3= )
+       ermt? (
+               !libressl? ( dev-libs/openssl:0= )
+               libressl? ( dev-libs/libressl:0= )
+       )
+       ssl? (
+               !libressl? ( dev-libs/openssl:0= )
+               libressl? ( dev-libs/libressl:0= )
+       )
+       readline? (
+               sys-libs/readline:0=
+               sys-libs/ncurses:=
+               static? ( sys-libs/ncurses:=[static-libs] )
+       )"
+DEPEND="${RDEPEND}
+       virtual/os-headers"
+BDEPEND="
+       virtual/pkgconfig
+"
+
+src_configure() {
+       local myeconfargs=(
+               --with-dumpdatespath=/etc/dumpdates
+               --with-rmtpath='$(sbindir)/rmt'
+               --enable-blkid
+               $(use_enable bzip2)
+               $(use_enable debug)
+               $(use_enable ermt)
+               $(use_enable lzo)
+               $(use_enable readline)
+               $(use_enable selinux)
+               $(use_enable sqlite)
+               $(use_enable ssl)
+               $(use_enable static static-progs)
+               $(use_enable uuid)
+               $(use_enable zlib)
+       )
+       econf "${myeconfargs[@]}"
+}
+
+src_install() {
+       default
+       mv "${ED}"/usr/sbin/{,dump-}rmt || die
+       mv "${ED}"/usr/share/man/man8/{,dump-}rmt.8 || die
+       use ermt && newsbin rmt/ermt dump-ermt
+
+       dodoc KNOWNBUGS MAINTAINERS REPORTING-BUGS
+       dodoc -r examples
+
+       # Don't install pre-compressed files
+       gunzip 
"${ED}"/usr/share/doc/${PF}/examples/cron_dump_to_disk/backupskel.tar.gz \
+               || die
+}
+
+pkg_postinst() {
+       if [[ -z ${REPLACING_VERSIONS} ]] ; then
+               ewarn "app-arch/dump installs 'rmt' as 'dump-rmt'."
+               ewarn "This is to avoid conflicts with app-arch/tar 'rmt'."
+       fi
+}

Reply via email to